Bug 144635 - Shift-space keysequence fails, should generate space
Shift-space keysequence fails, should generate space
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2005-01-10 00:15 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-31 19:53:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-01-10 00:15:04 EST
Description of problem:
On other popular operating systems the user may leave shift depressed
while entering a space ('space bar').  FC3 seems to reject shift-space
and no character is entered at all.

How reproducible:
Hold down shift and press space.
Actual results: No character entered.

Expected results: Space character entered.

Additional info: Unsure about which component to report this against,
sorry if I got it wrong.
Comment 1 Mike A. Harris 2005-01-31 19:50:03 EST
"XFree86" does not exist in Fedora Core 3.  Changing component to
Comment 2 Mike A. Harris 2005-01-31 19:53:35 EST
We're unable to reproduce this issue locally.  Since it's possible
the problem might require a particular setup or configuration, I
asked some people in IRC to try to reproduce this as well.  So
far, nobody has been able to reproduce this.  It appears this may
be an application specific problem you're experiencing, or
perhaps even a toolkit specific issue.

If you are using xmodmap at all, please disable your xmodmap
configuration and see if that resolves the issue.  If so, you
may need to modify your xmodmap configuration to work with current
X.Org, and you can use the xorg@freedesktop.org mailing list for
assistance in finding a solution.

I'm setting the status of the bug to "WORKSFORME" for the time
being, however please try to narrow the problem down to a
specific toolkit, app or toolkit, and feel free to reopen the
bug and reassign it to the problematic component if you can
track it down.  Alternatively, you can file a bug report in
X.Org bugzilla at http://bugs.freedesktop.org in the "xorg"
component, to see if other developers, or anyone in the wider
open source community is able to reproduce the problem.

Setting status to "WORKSFORME".
Comment 3 Need Real Name 2005-01-31 20:49:00 EST
Aha!  I think it's probably to do with the new multilingual input then
(iiix or xiiim or whatever it's called).  It could be an issue with
that directly or more likely, I suppose, the gnome panel app that does
the switching is stealing the keypresses.  (I run Chinese simplified,
traditional and English inputs on the switcher.)

Any ideas how to fix this problem?

Once you can reproduce it, I strongly recommend this sequence be
changed in FC4 because it is *really* annoying when typing, at least
to me.
Comment 4 David Jao 2005-03-27 18:38:57 EST
If you right click on the terminal and set "Input Methods" to Internet/Intranet
Input Method, then Shift-Space fails. It works fine when Input Methods is set to

Note You need to log in before you can comment on or make changes to this bug.